Subject: Re: bug#49062: 27.2; "Ref found in non-versioned section in "NEWS.22"

From: Eli Zaretskii <[email-masked]>
Date: Sat, 16 Jul 2022 18:08:24 +0300

> Cc: [email-masked], Drew Adams <[email-masked]>
> Date: Sat, 16 Jul 2022 10:08:26 -0400
> From:  Stefan Monnier via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> > For very short commands, it's probably not a useful warning, though?
> > Perhaps...  we could disable the warning if there's no hyphen in the
> > symbol we're searching for?  Or...  something else.
> 
> FWIW, I think this hack I added to search the etc/NEWS* files has now
> grown to deserve better treatment: we should restrict its search to
> things that are properly surrounded by quotes, and (to make it work)
> adjust the etc/NEWS* files accordingly.

Or maybe, before we keep investing more and more energy and time into
this, just remove all that code, and let people search NEWS manually,
if they want?

We have so little resources -- so why waste them on mini-features
whose importance is at best secondary, and which continue drawing more
and more energy, way beyond their usefulness?  We should instead work
on important features -- like better integration of tree-sitter, for
example.